unit GvOvr;

{ Graphics Vision Real-mode overlay use,
  Copr. 1996 Matthias Koeppe
}

{$ifndef MSDOS}
interface
implementation
{$else}

interface

uses Overlay;

implementation

uses Dos;

function GetName: string;
var
  Dir: DirStr;
  Name: NameStr;
  Ext: ExtStr;
begin
  FSplit(ParamStr(0), Dir, Name, Ext);
  GetName := Dir + Name + '.OVR'
end;

begin
  OvrInit(GetName);
  OvrInitEMS;
  OvrSetBuf(OvrGetBuf + 65536)
{$endif}
end.
